Bug 552854 - Unnecessary explicit dependency on pulseaudio
Unnecessary explicit dependency on pulseaudio
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-06 06:31 EST by Dominik 'Rathann' Mierzejewski
Modified: 2010-03-11 23:25 EST (History)
1 user (show)

See Also:
Fixed In Version: blueman-1.21-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-11 23:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2010-01-06 06:31:14 EST
Description of problem:
Between 1.10-3.fc11 and 1.21-1.fc11, blueman seems to have grown an explicit dependency on pulseaudio package. Until now it has been the only bluetooth applet for gnome that would let me keep my system pulseaudio-free. Could you drop the dependency or is it strictly necessary (and if it is, why?).

Version-Release number of selected component (if applicable):
1.21-2.fc11

How reproducible:
Always.

Steps to Reproduce:
1. yum update blueman
  
Actual results:
Processing Dependency: pulseaudio >= 0.9.15 for package: blueman-1.21-2.fc11.i586

Expected results:
blueman gets updated without installing pulseaudio as a dependency.
Comment 1 Juan Manuel Rodriguez 2010-01-06 12:27:01 EST
You're right. Its an optional dependency. 

From the Downloads page: http://blueman-project.org/downloads.html

Runtime dependencies:
libpulse, libpulse-mainloop-glib >=0.9.15  (optional)

Will be fixed in 1.21-3.
Comment 2 Dominik 'Rathann' Mierzejewski 2010-02-17 17:19:53 EST
Any progress here?
Comment 3 Fedora Update System 2010-02-20 20:13:48 EST
blueman-1.21-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/blueman-1.21-4.fc12
Comment 4 Fedora Update System 2010-02-20 20:36:47 EST
blueman-1.21-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/blueman-1.21-3.fc11
Comment 5 Fedora Update System 2010-02-23 00:14:58 EST
blueman-1.21-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blueman'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2477
Comment 6 Fedora Update System 2010-02-23 00:33:55 EST
blueman-1.21-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blueman'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2600
Comment 7 Fedora Update System 2010-03-11 23:21:10 EST
blueman-1.21-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-03-11 23:25:07 EST
blueman-1.21-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.